net.minecraft.world.gen.structure

## Class ComponentScatteredFeatureDesertPyramid

- java.lang.Object
- - net.minecraft.world.gen.structure.StructureComponent
  - - net.minecraft.world.gen.structure.ComponentScatteredFeatureDesertPyramid

-     public class ComponentScatteredFeatureDesertPyramid
      extends StructureComponent

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static WeightedRandomChestContent[]` | `itemsToGenerateInTemple` List of items to generate in chests of Temples.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentScatteredFeatureDesertPyramid()`
    `ComponentScatteredFeatureDesertPyramid(Random par1Random, int par2, int par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addComponentParts(World par1World, Random par2Random, StructureBoundingBox par3StructureBoundingBox)` second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureComponent

      `buildComponent, findIntersecting, func_143009_a, func_143010_b, getBoundingBox, getCenter, getComponentType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### itemsToGenerateInTemple

          public static final WeightedRandomChestContent[] itemsToGenerateInTemple

      List of items to generate in chests of Temples.

  - ### Constructor Detail

    - #### ComponentScatteredFeatureDesertPyramid

          public ComponentScatteredFeatureDesertPyramid()

    - #### ComponentScatteredFeatureDesertPyramid

          public ComponentScatteredFeatureDesertPyramid(Random par1Random,
                                                int par2,
                                                int par3)

  - ### Method Detail

    - #### addComponentParts

          public boolean addComponentParts(World par1World,
                                  Random par2Random,
                                  StructureBoundingBox par3StructureBoundingBox)

      second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...
      Specified by:
        `addComponentParts` in class `StructureComponent`